package com.zsElectric.boot.charging.service;


import com.zsElectric.boot.common.util.electric.RequestParmsEntity;
import com.zsElectric.boot.common.util.electric.ResponseParmsEntity;

/**
 * 接收互联互通（平台）推送数据接口
 * */
public interface ChargingReceptionService {

    /**
     * <p>2.4 推送启动充电结果</p>
     * @author SheepHy
     * @param requestDTO，参数为类则包含{@link RequestParmsEntity}
     * @return 停推送启动充电结果VO
     */
    ResponseParmsEntity chargeResponse(RequestParmsEntity requestDTO);

    /**
     * 2.6 推送充电状态
     * */
    ResponseParmsEntity chargeStatusResponse(RequestParmsEntity requestDTO);

    /**
     * 2.8 推送停止充电结果
     * */
    ResponseParmsEntity stopChargeResponse(RequestParmsEntity requestDTO);

    /**
     * 2.9 推送充电订单信息
     * */
    ResponseParmsEntity chargeOrderResponse(RequestParmsEntity requestDTO);

    /**
     * 3.2 设备状态变化推送
     * */
    ResponseParmsEntity stationStatus(RequestParmsEntity requestDTO);
}
